IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network243.28.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
- Network address
243.28.0.0- Broadcast address
243.31.255.255- First usable
243.28.0.1- Last usable
243.31.255.254- Usable hosts
- 262,142 (262,144 less the network and broadcast addresses)
- Subnet mask
255.252.0.0- Wildcard mask
0.3.255.255(Cisco ACLs, OSPF)- Prefix length
- /14
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
F31C0000· Integer4078698496to4078960639 - Reverse DNS zones
28.243.in-addr.arpa29.243.in-addr.arpa30.243.in-addr.arpa31.243.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11110011.00011100.00000000.00000000 | 243.28.0.0 |
| Subnet mask | 11111111.11111100.00000000.00000000 | 255.252.0.0 |
| Network | 11110011.00011100.00000000.00000000 | 243.28.0.0 |
| Broadcast | 11110011.00011111.11111111.11111111 | 243.31.255.255 |
Split into smaller subnets
/15 (2)/16 (4)/17 (8)/18 (16)/19 (32)/20 (64)/21 (128)/22 (256)/23 (512)/24 (1,024)/25 (2,048)/26 (4,096)
243.28.0.0/14 makes 512 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 243.28.0.0/23 | 243.28.0.1 to 243.28.1.254 | 243.28.1.255 | 510 |
| 2 | 243.28.2.0/23 | 243.28.2.1 to 243.28.3.254 | 243.28.3.255 | 510 |
| 3 | 243.28.4.0/23 | 243.28.4.1 to 243.28.5.254 | 243.28.5.255 | 510 |
| 4 | 243.28.6.0/23 | 243.28.6.1 to 243.28.7.254 | 243.28.7.255 | 510 |
| 5 | 243.28.8.0/23 | 243.28.8.1 to 243.28.9.254 | 243.28.9.255 | 510 |
| 6 | 243.28.10.0/23 | 243.28.10.1 to 243.28.11.254 | 243.28.11.255 | 510 |
| 7 | 243.28.12.0/23 | 243.28.12.1 to 243.28.13.254 | 243.28.13.255 | 510 |
| 8 | 243.28.14.0/23 | 243.28.14.1 to 243.28.15.254 | 243.28.15.255 | 510 |
| 9 | 243.28.16.0/23 | 243.28.16.1 to 243.28.17.254 | 243.28.17.255 | 510 |
| 10 | 243.28.18.0/23 | 243.28.18.1 to 243.28.19.254 | 243.28.19.255 | 510 |
| 11 | 243.28.20.0/23 | 243.28.20.1 to 243.28.21.254 | 243.28.21.255 | 510 |
| 12 | 243.28.22.0/23 | 243.28.22.1 to 243.28.23.254 | 243.28.23.255 | 510 |
| 13 | 243.28.24.0/23 | 243.28.24.1 to 243.28.25.254 | 243.28.25.255 | 510 |
| 14 | 243.28.26.0/23 | 243.28.26.1 to 243.28.27.254 | 243.28.27.255 | 510 |
| 15 | 243.28.28.0/23 | 243.28.28.1 to 243.28.29.254 | 243.28.29.255 | 510 |
| 16 | 243.28.30.0/23 | 243.28.30.1 to 243.28.31.254 | 243.28.31.255 | 510 |
| 17 | 243.28.32.0/23 | 243.28.32.1 to 243.28.33.254 | 243.28.33.255 | 510 |
| 18 | 243.28.34.0/23 | 243.28.34.1 to 243.28.35.254 | 243.28.35.255 | 510 |
| 19 | 243.28.36.0/23 | 243.28.36.1 to 243.28.37.254 | 243.28.37.255 | 510 |
| 20 | 243.28.38.0/23 | 243.28.38.1 to 243.28.39.254 | 243.28.39.255 | 510 |
| 21 | 243.28.40.0/23 | 243.28.40.1 to 243.28.41.254 | 243.28.41.255 | 510 |
| 22 | 243.28.42.0/23 | 243.28.42.1 to 243.28.43.254 | 243.28.43.255 | 510 |
| 23 | 243.28.44.0/23 | 243.28.44.1 to 243.28.45.254 | 243.28.45.255 | 510 |
| 24 | 243.28.46.0/23 | 243.28.46.1 to 243.28.47.254 | 243.28.47.255 | 510 |
| 25 | 243.28.48.0/23 | 243.28.48.1 to 243.28.49.254 | 243.28.49.255 | 510 |
| 26 | 243.28.50.0/23 | 243.28.50.1 to 243.28.51.254 | 243.28.51.255 | 510 |
| 27 | 243.28.52.0/23 | 243.28.52.1 to 243.28.53.254 | 243.28.53.255 | 510 |
| 28 | 243.28.54.0/23 | 243.28.54.1 to 243.28.55.254 | 243.28.55.255 | 510 |
| 29 | 243.28.56.0/23 | 243.28.56.1 to 243.28.57.254 | 243.28.57.255 | 510 |
| 30 | 243.28.58.0/23 | 243.28.58.1 to 243.28.59.254 | 243.28.59.255 | 510 |
| 31 | 243.28.60.0/23 | 243.28.60.1 to 243.28.61.254 | 243.28.61.255 | 510 |
| 32 | 243.28.62.0/23 | 243.28.62.1 to 243.28.63.254 | 243.28.63.255 | 510 |
| 33 | 243.28.64.0/23 | 243.28.64.1 to 243.28.65.254 | 243.28.65.255 | 510 |
| 34 | 243.28.66.0/23 | 243.28.66.1 to 243.28.67.254 | 243.28.67.255 | 510 |
| 35 | 243.28.68.0/23 | 243.28.68.1 to 243.28.69.254 | 243.28.69.255 | 510 |
| 36 | 243.28.70.0/23 | 243.28.70.1 to 243.28.71.254 | 243.28.71.255 | 510 |
| 37 | 243.28.72.0/23 | 243.28.72.1 to 243.28.73.254 | 243.28.73.255 | 510 |
| 38 | 243.28.74.0/23 | 243.28.74.1 to 243.28.75.254 | 243.28.75.255 | 510 |
| 39 | 243.28.76.0/23 | 243.28.76.1 to 243.28.77.254 | 243.28.77.255 | 510 |
| 40 | 243.28.78.0/23 | 243.28.78.1 to 243.28.79.254 | 243.28.79.255 | 510 |
| 41 | 243.28.80.0/23 | 243.28.80.1 to 243.28.81.254 | 243.28.81.255 | 510 |
| 42 | 243.28.82.0/23 | 243.28.82.1 to 243.28.83.254 | 243.28.83.255 | 510 |
| 43 | 243.28.84.0/23 | 243.28.84.1 to 243.28.85.254 | 243.28.85.255 | 510 |
| 44 | 243.28.86.0/23 | 243.28.86.1 to 243.28.87.254 | 243.28.87.255 | 510 |
| 45 | 243.28.88.0/23 | 243.28.88.1 to 243.28.89.254 | 243.28.89.255 | 510 |
| 46 | 243.28.90.0/23 | 243.28.90.1 to 243.28.91.254 | 243.28.91.255 | 510 |
| 47 | 243.28.92.0/23 | 243.28.92.1 to 243.28.93.254 | 243.28.93.255 | 510 |
| 48 | 243.28.94.0/23 | 243.28.94.1 to 243.28.95.254 | 243.28.95.255 | 510 |
| 49 | 243.28.96.0/23 | 243.28.96.1 to 243.28.97.254 | 243.28.97.255 | 510 |
| 50 | 243.28.98.0/23 | 243.28.98.1 to 243.28.99.254 | 243.28.99.255 | 510 |
| 51 | 243.28.100.0/23 | 243.28.100.1 to 243.28.101.254 | 243.28.101.255 | 510 |
| 52 | 243.28.102.0/23 | 243.28.102.1 to 243.28.103.254 | 243.28.103.255 | 510 |
| 53 | 243.28.104.0/23 | 243.28.104.1 to 243.28.105.254 | 243.28.105.255 | 510 |
| 54 | 243.28.106.0/23 | 243.28.106.1 to 243.28.107.254 | 243.28.107.255 | 510 |
| 55 | 243.28.108.0/23 | 243.28.108.1 to 243.28.109.254 | 243.28.109.255 | 510 |
| 56 | 243.28.110.0/23 | 243.28.110.1 to 243.28.111.254 | 243.28.111.255 | 510 |
| 57 | 243.28.112.0/23 | 243.28.112.1 to 243.28.113.254 | 243.28.113.255 | 510 |
| 58 | 243.28.114.0/23 | 243.28.114.1 to 243.28.115.254 | 243.28.115.255 | 510 |
| 59 | 243.28.116.0/23 | 243.28.116.1 to 243.28.117.254 | 243.28.117.255 | 510 |
| 60 | 243.28.118.0/23 | 243.28.118.1 to 243.28.119.254 | 243.28.119.255 | 510 |
| 61 | 243.28.120.0/23 | 243.28.120.1 to 243.28.121.254 | 243.28.121.255 | 510 |
| 62 | 243.28.122.0/23 | 243.28.122.1 to 243.28.123.254 | 243.28.123.255 | 510 |
| 63 | 243.28.124.0/23 | 243.28.124.1 to 243.28.125.254 | 243.28.125.255 | 510 |
| 64 | 243.28.126.0/23 | 243.28.126.1 to 243.28.127.254 | 243.28.127.255 | 510 |
| 65 | 243.28.128.0/23 | 243.28.128.1 to 243.28.129.254 | 243.28.129.255 | 510 |
| 66 | 243.28.130.0/23 | 243.28.130.1 to 243.28.131.254 | 243.28.131.255 | 510 |
| 67 | 243.28.132.0/23 | 243.28.132.1 to 243.28.133.254 | 243.28.133.255 | 510 |
| 68 | 243.28.134.0/23 | 243.28.134.1 to 243.28.135.254 | 243.28.135.255 | 510 |
| 69 | 243.28.136.0/23 | 243.28.136.1 to 243.28.137.254 | 243.28.137.255 | 510 |
| 70 | 243.28.138.0/23 | 243.28.138.1 to 243.28.139.254 | 243.28.139.255 | 510 |
| 71 | 243.28.140.0/23 | 243.28.140.1 to 243.28.141.254 | 243.28.141.255 | 510 |
| 72 | 243.28.142.0/23 | 243.28.142.1 to 243.28.143.254 | 243.28.143.255 | 510 |
| 73 | 243.28.144.0/23 | 243.28.144.1 to 243.28.145.254 | 243.28.145.255 | 510 |
| 74 | 243.28.146.0/23 | 243.28.146.1 to 243.28.147.254 | 243.28.147.255 | 510 |
| 75 | 243.28.148.0/23 | 243.28.148.1 to 243.28.149.254 | 243.28.149.255 | 510 |
| 76 | 243.28.150.0/23 | 243.28.150.1 to 243.28.151.254 | 243.28.151.255 | 510 |
| 77 | 243.28.152.0/23 | 243.28.152.1 to 243.28.153.254 | 243.28.153.255 | 510 |
| 78 | 243.28.154.0/23 | 243.28.154.1 to 243.28.155.254 | 243.28.155.255 | 510 |
| 79 | 243.28.156.0/23 | 243.28.156.1 to 243.28.157.254 | 243.28.157.255 | 510 |
| 80 | 243.28.158.0/23 | 243.28.158.1 to 243.28.159.254 | 243.28.159.255 | 510 |
| 81 | 243.28.160.0/23 | 243.28.160.1 to 243.28.161.254 | 243.28.161.255 | 510 |
| 82 | 243.28.162.0/23 | 243.28.162.1 to 243.28.163.254 | 243.28.163.255 | 510 |
| 83 | 243.28.164.0/23 | 243.28.164.1 to 243.28.165.254 | 243.28.165.255 | 510 |
| 84 | 243.28.166.0/23 | 243.28.166.1 to 243.28.167.254 | 243.28.167.255 | 510 |
| 85 | 243.28.168.0/23 | 243.28.168.1 to 243.28.169.254 | 243.28.169.255 | 510 |
| 86 | 243.28.170.0/23 | 243.28.170.1 to 243.28.171.254 | 243.28.171.255 | 510 |
| 87 | 243.28.172.0/23 | 243.28.172.1 to 243.28.173.254 | 243.28.173.255 | 510 |
| 88 | 243.28.174.0/23 | 243.28.174.1 to 243.28.175.254 | 243.28.175.255 | 510 |
| 89 | 243.28.176.0/23 | 243.28.176.1 to 243.28.177.254 | 243.28.177.255 | 510 |
| 90 | 243.28.178.0/23 | 243.28.178.1 to 243.28.179.254 | 243.28.179.255 | 510 |
| 91 | 243.28.180.0/23 | 243.28.180.1 to 243.28.181.254 | 243.28.181.255 | 510 |
| 92 | 243.28.182.0/23 | 243.28.182.1 to 243.28.183.254 | 243.28.183.255 | 510 |
| 93 | 243.28.184.0/23 | 243.28.184.1 to 243.28.185.254 | 243.28.185.255 | 510 |
| 94 | 243.28.186.0/23 | 243.28.186.1 to 243.28.187.254 | 243.28.187.255 | 510 |
| 95 | 243.28.188.0/23 | 243.28.188.1 to 243.28.189.254 | 243.28.189.255 | 510 |
| 96 | 243.28.190.0/23 | 243.28.190.1 to 243.28.191.254 | 243.28.191.255 | 510 |
| 97 | 243.28.192.0/23 | 243.28.192.1 to 243.28.193.254 | 243.28.193.255 | 510 |
| 98 | 243.28.194.0/23 | 243.28.194.1 to 243.28.195.254 | 243.28.195.255 | 510 |
| 99 | 243.28.196.0/23 | 243.28.196.1 to 243.28.197.254 | 243.28.197.255 | 510 |
| 100 | 243.28.198.0/23 | 243.28.198.1 to 243.28.199.254 | 243.28.199.255 | 510 |
| 101 | 243.28.200.0/23 | 243.28.200.1 to 243.28.201.254 | 243.28.201.255 | 510 |
| 102 | 243.28.202.0/23 | 243.28.202.1 to 243.28.203.254 | 243.28.203.255 | 510 |
| 103 | 243.28.204.0/23 | 243.28.204.1 to 243.28.205.254 | 243.28.205.255 | 510 |
| 104 | 243.28.206.0/23 | 243.28.206.1 to 243.28.207.254 | 243.28.207.255 | 510 |
| 105 | 243.28.208.0/23 | 243.28.208.1 to 243.28.209.254 | 243.28.209.255 | 510 |
| 106 | 243.28.210.0/23 | 243.28.210.1 to 243.28.211.254 | 243.28.211.255 | 510 |
| 107 | 243.28.212.0/23 | 243.28.212.1 to 243.28.213.254 | 243.28.213.255 | 510 |
| 108 | 243.28.214.0/23 | 243.28.214.1 to 243.28.215.254 | 243.28.215.255 | 510 |
| 109 | 243.28.216.0/23 | 243.28.216.1 to 243.28.217.254 | 243.28.217.255 | 510 |
| 110 | 243.28.218.0/23 | 243.28.218.1 to 243.28.219.254 | 243.28.219.255 | 510 |
| 111 | 243.28.220.0/23 | 243.28.220.1 to 243.28.221.254 | 243.28.221.255 | 510 |
| 112 | 243.28.222.0/23 | 243.28.222.1 to 243.28.223.254 | 243.28.223.255 | 510 |
| 113 | 243.28.224.0/23 | 243.28.224.1 to 243.28.225.254 | 243.28.225.255 | 510 |
| 114 | 243.28.226.0/23 | 243.28.226.1 to 243.28.227.254 | 243.28.227.255 | 510 |
| 115 | 243.28.228.0/23 | 243.28.228.1 to 243.28.229.254 | 243.28.229.255 | 510 |
| 116 | 243.28.230.0/23 | 243.28.230.1 to 243.28.231.254 | 243.28.231.255 | 510 |
| 117 | 243.28.232.0/23 | 243.28.232.1 to 243.28.233.254 | 243.28.233.255 | 510 |
| 118 | 243.28.234.0/23 | 243.28.234.1 to 243.28.235.254 | 243.28.235.255 | 510 |
| 119 | 243.28.236.0/23 | 243.28.236.1 to 243.28.237.254 | 243.28.237.255 | 510 |
| 120 | 243.28.238.0/23 | 243.28.238.1 to 243.28.239.254 | 243.28.239.255 | 510 |
| 121 | 243.28.240.0/23 | 243.28.240.1 to 243.28.241.254 | 243.28.241.255 | 510 |
| 122 | 243.28.242.0/23 | 243.28.242.1 to 243.28.243.254 | 243.28.243.255 | 510 |
| 123 | 243.28.244.0/23 | 243.28.244.1 to 243.28.245.254 | 243.28.245.255 | 510 |
| 124 | 243.28.246.0/23 | 243.28.246.1 to 243.28.247.254 | 243.28.247.255 | 510 |
| 125 | 243.28.248.0/23 | 243.28.248.1 to 243.28.249.254 | 243.28.249.255 | 510 |
| 126 | 243.28.250.0/23 | 243.28.250.1 to 243.28.251.254 | 243.28.251.255 | 510 |
| 127 | 243.28.252.0/23 | 243.28.252.1 to 243.28.253.254 | 243.28.253.255 | 510 |
| 128 | 243.28.254.0/23 | 243.28.254.1 to 243.28.255.254 | 243.28.255.255 | 510 |
| 129 | 243.29.0.0/23 | 243.29.0.1 to 243.29.1.254 | 243.29.1.255 | 510 |
| 130 | 243.29.2.0/23 | 243.29.2.1 to 243.29.3.254 | 243.29.3.255 | 510 |
| 131 | 243.29.4.0/23 | 243.29.4.1 to 243.29.5.254 | 243.29.5.255 | 510 |
| 132 | 243.29.6.0/23 | 243.29.6.1 to 243.29.7.254 | 243.29.7.255 | 510 |
| 133 | 243.29.8.0/23 | 243.29.8.1 to 243.29.9.254 | 243.29.9.255 | 510 |
| 134 | 243.29.10.0/23 | 243.29.10.1 to 243.29.11.254 | 243.29.11.255 | 510 |
| 135 | 243.29.12.0/23 | 243.29.12.1 to 243.29.13.254 | 243.29.13.255 | 510 |
| 136 | 243.29.14.0/23 | 243.29.14.1 to 243.29.15.254 | 243.29.15.255 | 510 |
| 137 | 243.29.16.0/23 | 243.29.16.1 to 243.29.17.254 | 243.29.17.255 | 510 |
| 138 | 243.29.18.0/23 | 243.29.18.1 to 243.29.19.254 | 243.29.19.255 | 510 |
| 139 | 243.29.20.0/23 | 243.29.20.1 to 243.29.21.254 | 243.29.21.255 | 510 |
| 140 | 243.29.22.0/23 | 243.29.22.1 to 243.29.23.254 | 243.29.23.255 | 510 |
| 141 | 243.29.24.0/23 | 243.29.24.1 to 243.29.25.254 | 243.29.25.255 | 510 |
| 142 | 243.29.26.0/23 | 243.29.26.1 to 243.29.27.254 | 243.29.27.255 | 510 |
| 143 | 243.29.28.0/23 | 243.29.28.1 to 243.29.29.254 | 243.29.29.255 | 510 |
| 144 | 243.29.30.0/23 | 243.29.30.1 to 243.29.31.254 | 243.29.31.255 | 510 |
| 145 | 243.29.32.0/23 | 243.29.32.1 to 243.29.33.254 | 243.29.33.255 | 510 |
| 146 | 243.29.34.0/23 | 243.29.34.1 to 243.29.35.254 | 243.29.35.255 | 510 |
| 147 | 243.29.36.0/23 | 243.29.36.1 to 243.29.37.254 | 243.29.37.255 | 510 |
| 148 | 243.29.38.0/23 | 243.29.38.1 to 243.29.39.254 | 243.29.39.255 | 510 |
| 149 | 243.29.40.0/23 | 243.29.40.1 to 243.29.41.254 | 243.29.41.255 | 510 |
| 150 | 243.29.42.0/23 | 243.29.42.1 to 243.29.43.254 | 243.29.43.255 | 510 |
| 151 | 243.29.44.0/23 | 243.29.44.1 to 243.29.45.254 | 243.29.45.255 | 510 |
| 152 | 243.29.46.0/23 | 243.29.46.1 to 243.29.47.254 | 243.29.47.255 | 510 |
| 153 | 243.29.48.0/23 | 243.29.48.1 to 243.29.49.254 | 243.29.49.255 | 510 |
| 154 | 243.29.50.0/23 | 243.29.50.1 to 243.29.51.254 | 243.29.51.255 | 510 |
| 155 | 243.29.52.0/23 | 243.29.52.1 to 243.29.53.254 | 243.29.53.255 | 510 |
| 156 | 243.29.54.0/23 | 243.29.54.1 to 243.29.55.254 | 243.29.55.255 | 510 |
| 157 | 243.29.56.0/23 | 243.29.56.1 to 243.29.57.254 | 243.29.57.255 | 510 |
| 158 | 243.29.58.0/23 | 243.29.58.1 to 243.29.59.254 | 243.29.59.255 | 510 |
| 159 | 243.29.60.0/23 | 243.29.60.1 to 243.29.61.254 | 243.29.61.255 | 510 |
| 160 | 243.29.62.0/23 | 243.29.62.1 to 243.29.63.254 | 243.29.63.255 | 510 |
| 161 | 243.29.64.0/23 | 243.29.64.1 to 243.29.65.254 | 243.29.65.255 | 510 |
| 162 | 243.29.66.0/23 | 243.29.66.1 to 243.29.67.254 | 243.29.67.255 | 510 |
| 163 | 243.29.68.0/23 | 243.29.68.1 to 243.29.69.254 | 243.29.69.255 | 510 |
| 164 | 243.29.70.0/23 | 243.29.70.1 to 243.29.71.254 | 243.29.71.255 | 510 |
| 165 | 243.29.72.0/23 | 243.29.72.1 to 243.29.73.254 | 243.29.73.255 | 510 |
| 166 | 243.29.74.0/23 | 243.29.74.1 to 243.29.75.254 | 243.29.75.255 | 510 |
| 167 | 243.29.76.0/23 | 243.29.76.1 to 243.29.77.254 | 243.29.77.255 | 510 |
| 168 | 243.29.78.0/23 | 243.29.78.1 to 243.29.79.254 | 243.29.79.255 | 510 |
| 169 | 243.29.80.0/23 | 243.29.80.1 to 243.29.81.254 | 243.29.81.255 | 510 |
| 170 | 243.29.82.0/23 | 243.29.82.1 to 243.29.83.254 | 243.29.83.255 | 510 |
| 171 | 243.29.84.0/23 | 243.29.84.1 to 243.29.85.254 | 243.29.85.255 | 510 |
| 172 | 243.29.86.0/23 | 243.29.86.1 to 243.29.87.254 | 243.29.87.255 | 510 |
| 173 | 243.29.88.0/23 | 243.29.88.1 to 243.29.89.254 | 243.29.89.255 | 510 |
| 174 | 243.29.90.0/23 | 243.29.90.1 to 243.29.91.254 | 243.29.91.255 | 510 |
| 175 | 243.29.92.0/23 | 243.29.92.1 to 243.29.93.254 | 243.29.93.255 | 510 |
| 176 | 243.29.94.0/23 | 243.29.94.1 to 243.29.95.254 | 243.29.95.255 | 510 |
| 177 | 243.29.96.0/23 | 243.29.96.1 to 243.29.97.254 | 243.29.97.255 | 510 |
| 178 | 243.29.98.0/23 | 243.29.98.1 to 243.29.99.254 | 243.29.99.255 | 510 |
| 179 | 243.29.100.0/23 | 243.29.100.1 to 243.29.101.254 | 243.29.101.255 | 510 |
| 180 | 243.29.102.0/23 | 243.29.102.1 to 243.29.103.254 | 243.29.103.255 | 510 |
| 181 | 243.29.104.0/23 | 243.29.104.1 to 243.29.105.254 | 243.29.105.255 | 510 |
| 182 | 243.29.106.0/23 | 243.29.106.1 to 243.29.107.254 | 243.29.107.255 | 510 |
| 183 | 243.29.108.0/23 | 243.29.108.1 to 243.29.109.254 | 243.29.109.255 | 510 |
| 184 | 243.29.110.0/23 | 243.29.110.1 to 243.29.111.254 | 243.29.111.255 | 510 |
| 185 | 243.29.112.0/23 | 243.29.112.1 to 243.29.113.254 | 243.29.113.255 | 510 |
| 186 | 243.29.114.0/23 | 243.29.114.1 to 243.29.115.254 | 243.29.115.255 | 510 |
| 187 | 243.29.116.0/23 | 243.29.116.1 to 243.29.117.254 | 243.29.117.255 | 510 |
| 188 | 243.29.118.0/23 | 243.29.118.1 to 243.29.119.254 | 243.29.119.255 | 510 |
| 189 | 243.29.120.0/23 | 243.29.120.1 to 243.29.121.254 | 243.29.121.255 | 510 |
| 190 | 243.29.122.0/23 | 243.29.122.1 to 243.29.123.254 | 243.29.123.255 | 510 |
| 191 | 243.29.124.0/23 | 243.29.124.1 to 243.29.125.254 | 243.29.125.255 | 510 |
| 192 | 243.29.126.0/23 | 243.29.126.1 to 243.29.127.254 | 243.29.127.255 | 510 |
| 193 | 243.29.128.0/23 | 243.29.128.1 to 243.29.129.254 | 243.29.129.255 | 510 |
| 194 | 243.29.130.0/23 | 243.29.130.1 to 243.29.131.254 | 243.29.131.255 | 510 |
| 195 | 243.29.132.0/23 | 243.29.132.1 to 243.29.133.254 | 243.29.133.255 | 510 |
| 196 | 243.29.134.0/23 | 243.29.134.1 to 243.29.135.254 | 243.29.135.255 | 510 |
| 197 | 243.29.136.0/23 | 243.29.136.1 to 243.29.137.254 | 243.29.137.255 | 510 |
| 198 | 243.29.138.0/23 | 243.29.138.1 to 243.29.139.254 | 243.29.139.255 | 510 |
| 199 | 243.29.140.0/23 | 243.29.140.1 to 243.29.141.254 | 243.29.141.255 | 510 |
| 200 | 243.29.142.0/23 | 243.29.142.1 to 243.29.143.254 | 243.29.143.255 | 510 |
| 201 | 243.29.144.0/23 | 243.29.144.1 to 243.29.145.254 | 243.29.145.255 | 510 |
| 202 | 243.29.146.0/23 | 243.29.146.1 to 243.29.147.254 | 243.29.147.255 | 510 |
| 203 | 243.29.148.0/23 | 243.29.148.1 to 243.29.149.254 | 243.29.149.255 | 510 |
| 204 | 243.29.150.0/23 | 243.29.150.1 to 243.29.151.254 | 243.29.151.255 | 510 |
| 205 | 243.29.152.0/23 | 243.29.152.1 to 243.29.153.254 | 243.29.153.255 | 510 |
| 206 | 243.29.154.0/23 | 243.29.154.1 to 243.29.155.254 | 243.29.155.255 | 510 |
| 207 | 243.29.156.0/23 | 243.29.156.1 to 243.29.157.254 | 243.29.157.255 | 510 |
| 208 | 243.29.158.0/23 | 243.29.158.1 to 243.29.159.254 | 243.29.159.255 | 510 |
| 209 | 243.29.160.0/23 | 243.29.160.1 to 243.29.161.254 | 243.29.161.255 | 510 |
| 210 | 243.29.162.0/23 | 243.29.162.1 to 243.29.163.254 | 243.29.163.255 | 510 |
| 211 | 243.29.164.0/23 | 243.29.164.1 to 243.29.165.254 | 243.29.165.255 | 510 |
| 212 | 243.29.166.0/23 | 243.29.166.1 to 243.29.167.254 | 243.29.167.255 | 510 |
| 213 | 243.29.168.0/23 | 243.29.168.1 to 243.29.169.254 | 243.29.169.255 | 510 |
| 214 | 243.29.170.0/23 | 243.29.170.1 to 243.29.171.254 | 243.29.171.255 | 510 |
| 215 | 243.29.172.0/23 | 243.29.172.1 to 243.29.173.254 | 243.29.173.255 | 510 |
| 216 | 243.29.174.0/23 | 243.29.174.1 to 243.29.175.254 | 243.29.175.255 | 510 |
| 217 | 243.29.176.0/23 | 243.29.176.1 to 243.29.177.254 | 243.29.177.255 | 510 |
| 218 | 243.29.178.0/23 | 243.29.178.1 to 243.29.179.254 | 243.29.179.255 | 510 |
| 219 | 243.29.180.0/23 | 243.29.180.1 to 243.29.181.254 | 243.29.181.255 | 510 |
| 220 | 243.29.182.0/23 | 243.29.182.1 to 243.29.183.254 | 243.29.183.255 | 510 |
| 221 | 243.29.184.0/23 | 243.29.184.1 to 243.29.185.254 | 243.29.185.255 | 510 |
| 222 | 243.29.186.0/23 | 243.29.186.1 to 243.29.187.254 | 243.29.187.255 | 510 |
| 223 | 243.29.188.0/23 | 243.29.188.1 to 243.29.189.254 | 243.29.189.255 | 510 |
| 224 | 243.29.190.0/23 | 243.29.190.1 to 243.29.191.254 | 243.29.191.255 | 510 |
| 225 | 243.29.192.0/23 | 243.29.192.1 to 243.29.193.254 | 243.29.193.255 | 510 |
| 226 | 243.29.194.0/23 | 243.29.194.1 to 243.29.195.254 | 243.29.195.255 | 510 |
| 227 | 243.29.196.0/23 | 243.29.196.1 to 243.29.197.254 | 243.29.197.255 | 510 |
| 228 | 243.29.198.0/23 | 243.29.198.1 to 243.29.199.254 | 243.29.199.255 | 510 |
| 229 | 243.29.200.0/23 | 243.29.200.1 to 243.29.201.254 | 243.29.201.255 | 510 |
| 230 | 243.29.202.0/23 | 243.29.202.1 to 243.29.203.254 | 243.29.203.255 | 510 |
| 231 | 243.29.204.0/23 | 243.29.204.1 to 243.29.205.254 | 243.29.205.255 | 510 |
| 232 | 243.29.206.0/23 | 243.29.206.1 to 243.29.207.254 | 243.29.207.255 | 510 |
| 233 | 243.29.208.0/23 | 243.29.208.1 to 243.29.209.254 | 243.29.209.255 | 510 |
| 234 | 243.29.210.0/23 | 243.29.210.1 to 243.29.211.254 | 243.29.211.255 | 510 |
| 235 | 243.29.212.0/23 | 243.29.212.1 to 243.29.213.254 | 243.29.213.255 | 510 |
| 236 | 243.29.214.0/23 | 243.29.214.1 to 243.29.215.254 | 243.29.215.255 | 510 |
| 237 | 243.29.216.0/23 | 243.29.216.1 to 243.29.217.254 | 243.29.217.255 | 510 |
| 238 | 243.29.218.0/23 | 243.29.218.1 to 243.29.219.254 | 243.29.219.255 | 510 |
| 239 | 243.29.220.0/23 | 243.29.220.1 to 243.29.221.254 | 243.29.221.255 | 510 |
| 240 | 243.29.222.0/23 | 243.29.222.1 to 243.29.223.254 | 243.29.223.255 | 510 |
| 241 | 243.29.224.0/23 | 243.29.224.1 to 243.29.225.254 | 243.29.225.255 | 510 |
| 242 | 243.29.226.0/23 | 243.29.226.1 to 243.29.227.254 | 243.29.227.255 | 510 |
| 243 | 243.29.228.0/23 | 243.29.228.1 to 243.29.229.254 | 243.29.229.255 | 510 |
| 244 | 243.29.230.0/23 | 243.29.230.1 to 243.29.231.254 | 243.29.231.255 | 510 |
| 245 | 243.29.232.0/23 | 243.29.232.1 to 243.29.233.254 | 243.29.233.255 | 510 |
| 246 | 243.29.234.0/23 | 243.29.234.1 to 243.29.235.254 | 243.29.235.255 | 510 |
| 247 | 243.29.236.0/23 | 243.29.236.1 to 243.29.237.254 | 243.29.237.255 | 510 |
| 248 | 243.29.238.0/23 | 243.29.238.1 to 243.29.239.254 | 243.29.239.255 | 510 |
| 249 | 243.29.240.0/23 | 243.29.240.1 to 243.29.241.254 | 243.29.241.255 | 510 |
| 250 | 243.29.242.0/23 | 243.29.242.1 to 243.29.243.254 | 243.29.243.255 | 510 |
| 251 | 243.29.244.0/23 | 243.29.244.1 to 243.29.245.254 | 243.29.245.255 | 510 |
| 252 | 243.29.246.0/23 | 243.29.246.1 to 243.29.247.254 | 243.29.247.255 | 510 |
| 253 | 243.29.248.0/23 | 243.29.248.1 to 243.29.249.254 | 243.29.249.255 | 510 |
| 254 | 243.29.250.0/23 | 243.29.250.1 to 243.29.251.254 | 243.29.251.255 | 510 |
| 255 | 243.29.252.0/23 | 243.29.252.1 to 243.29.253.254 | 243.29.253.255 | 510 |
| 256 | 243.29.254.0/23 | 243.29.254.1 to 243.29.255.254 | 243.29.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |